/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller;

import ChatProgramm.controller.commands.CommandConnect;
import ChatProgramm.controller.commands.CommandInvoker;
import ChatProgramm.controller.commands.CommandSend;
import ChatProgramm.model.ChatModel;
import ChatProgramm.view.ChatView;
import java.awt.Component;
import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import static java.awt.event.MouseEvent.MOUSE_RELEASED;
import java.awt.event.MouseMotionListener;

/**
 *
 * @author ahren
 */
public class CommandController extends MouseAdapter implements MouseMotionListener, ActionListener{
    
    private ChatView view;
    private ChatModel model;
    private CommandInvoker invoker;
        
public CommandController(ChatView view, ChatModel model){
        this.view = view;
        this.model = model;
        this.invoker = new CommandInvoker();
    }
    
    public void registerEvents(){
        view.getBtnConnect().addActionListener(this);
        view.addMouseMotionListener(this);
        view.addMouseListener(this);
    }
    
    public void registerCommands(){
      invoker.addCommand(view.getBtnConnect(), new CommandConnect(view, model));
      
      invoker.addCommand(view.getGvZeichenflaeche(), new CommandSend(view, model));
    }
     
    /**
     * Ausführen des jeweiligen Kommandos
     * @param e Referenz auf das Event
     */
    @Override
    public void actionPerformed(ActionEvent e) {
        Component key = (Component)e.getSource();
        invoker.executeCommand(key);

    }
     @Override
     public void mouseDragged(MouseEvent evt)
  {
    Point p = evt.getPoint();
    model.getGrafikDaten().addPoint(p);
    view.getGvZeichenflaeche().drawPoint();
  }
    @Override
  public void mouseReleased(MouseEvent evt)
  {
      model.getGrafikDaten().endShape();
      invoker.executeCommand(view.getGvZeichenflaeche());

  }
    
}


