/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller.commands;

import ChatProgramm.model.ChatModel;
import ChatProgramm.model.Client;
import ChatProgramm.model.GrafikDaten;
import ChatProgramm.model.Server;
import ChatProgramm.model.Transmitter;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import ChatProgramm.view.GrafikView;
import java.io.IOException;
import java.util.logging.Logger;
import javax.swing.JDialog;
import javax.swing.JRadioButton;

/**
 *
 * @author ahren
 */
public class CommandConnect implements CommandInterface
{
    private JRadioButton rBtnServer;
    private JRadioButton rBtnClient;
    private JDialog dialogFenster;
    private static Logger lg = OhmLogger.getLogger();
    private ChatView view;
    private ChatModel model;
    
    public CommandConnect(ChatView view, ChatModel model)
  {
      rBtnServer = view.getBtnServer();
      rBtnClient = view.getBtnClient();
      dialogFenster = view.getjDialog1();
      this.view = view;
      this.model = model;
  }

  @Override
  public void execute()
  {
      if(rBtnServer.isSelected()){
          lg.info("Server ausgewählt");
          try {
              model.setTransmitterToServer();
          } catch (IOException ex) {
              lg.info("Die Verbindung zum Server ist Fehlgeschlagen");
          }
      }
      
      if(rBtnClient.isSelected()){
          lg.info("Client ausgewählt");
          try {
              model.setTransmitterToClient(); 
          } catch (IOException ex) {
              lg.info("Die Verbindung zum Client ist Fehlgeschlagen");

          }
      }
      dialogFenster.setVisible(false);
  }

  @Override
  public boolean isUndoable()
  {
    return false;
  }

  @Override
  public void undo()
  {
  }
}