/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package ChatProgramm.model;

import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import ChatProgramm.view.GrafikView;
import java.util.concurrent.Flow;
import java.util.concurrent.Flow.Subscriber;
import java.util.logging.Logger;

/**
 *
 * @author ahren
 */
public class ReceiveAdapter implements Subscriber<Figur> {
    
    private static Logger lg = OhmLogger.getLogger();

    private ChatView view;
    private ChatModel model;
    private Flow.Subscription subscription;

    public ReceiveAdapter(ChatView view, ChatModel model) {
        this.view = view;
        this.model = model;
    }

    @Override
    public void onSubscribe(Flow.Subscription subscription) {
        this.subscription = subscription;
        this.subscription.request(1);
    }

    public void onNext(Figur item) {
        model.getGrafikDaten().addFigure(item);
        view.getGvZeichenflaeche().drawFigur();
        lg.info("Figur wurde dem Grafikmodel hinzugefügt");
        this.subscription.request(1);
    }

    @Override
    public void onError(Throwable throwable) {
    }

    @Override
    public void onComplete(){
    }

}
